### Method

# GLib Queue insert_after

since: 2.4

#### Declaration [src]

    void
    g_queue_insert_after (
      GQueue* queue,
      GList* sibling,
      gpointer data
    )

#### Description [src]

Inserts `data` into `queue` after `sibling`.

`sibling` must be part of `queue`. Since GLib 2.44 a `NULL` sibling pushes the data at the head of the queue.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`sibling`

  Type: A list of `gpointer`

  A `GList` link that must be part of `queue`, or `NULL` to push at the head of the queue.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`data`

  Type: `gpointer`

  The data to insert.

  The argument can be `NULL`.
  The data is owned by the caller of the method.